Ubuntu

Comment 1 for bug 823566

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package latexila - 2.1.1-0ubuntu1

---------------
latexila (2.1.1-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) <email address hidden> ]
  * New upstream release. (LP: #823566)
  * Upstream ChangeLog:
   + From 2.0.8 to 2.1.0:
    - Build Tools: Latexmk by default instead of Rubber
       (Rubber is still available)
    - New build tools: "low level" commands
       (latex, pdflatex, dvipdf, etc.)
    - Show/hide a build tool
    - Build View: show/hide errors/warnings/badboxes
    - File Browser: new icon for images
    - Structure of a document to easily navigate in it
    - Some code clean-up and little fixes
   + From 2.1.0 to 2.1.1:
    - Structure:
     ~ better implemenation (custom Gtk.TreeModel)
     ~ better performances (line-by-line parsing)
     ~ simple lists of items, to find more quickly one element
     ~ some actions: cut, copy, delete, select, comment, shift left/right
    - Build Tools: copy button to duplicate a build tool
    - Mallard documentation about the build tools
    - Build View: text is selectable, so we can copy/paste it
    - Cleanup Build Files: take into account projects
    - Show/hide the main toolbar
    - Fix: Build Tools not available on a .bib project file
    - dconf: scripts for migrating latexila 2.0.x -> 2.2.x
    - Some other little improvements and bug fixes
   + Note: These 2.1.x versions are the beta releases of next 2.2.x version.
  * debian/control:
   - Maintainer: Used the update-maintainer command.
   - latexila: updated the dependence list: replaced rubber by latexmk
      (see the ChangeLog above) (rubber is now suggested).
   - Added texlive-latex-extra as suggested package.
   - Added texlive-latex-recommended as recommended package
      (needed to build some templates).
   - Added gsettings-desktop-schemas and hicolor-icon-theme as
      recommended packages (requested by the upstream).

  [ Micah Gersten <email address hidden> ]
  * Bump minimum valac build dependency to 0.12.1 to match the change in
    CMakeLists.txt
    - update debian/control
 -- Matthieu Baerts (matttbe) <email address hidden> Thu, 11 Aug 2011 15:34:53 -0500